<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="rbacdemo:war exploded" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="bf748129-6f2b-481f-8013-f1ebd509075b" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="FxmlFile" />
        <option value="Jsp File" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="ProjectId" id="1q8aFVrVueITZoJLLJ8uMQxGF5U" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.23563218" />
    <property name="settings.editor.selected.configurable" value="preferences.externalResources" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\86152\IdeaProjects\rbacdemo\web\WEB-INF\jsp" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\86152\IdeaProjects\rbacdemo\src" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="Tomcat 9.0.34" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 9.0.34" ALTERNATIVE_JRE_ENABLED="false">
      <deployment>
        <artifact name="rbacdemo:war exploded">
          <settings>
            <option name="CONTEXT_PATH" value="/" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Tomcat_9_0_34_rbacdemo" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="59075" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="rbacdemo:war exploded" />
        </option>
      </method>
    </configuration>
  </component>
  <component name="ServiceViewManager">
    <option name="viewStates">
      <list>
        <serviceView>
          <treeState>
            <expand>
              <path>
                <item name="services root" type="e789fda9:ObjectUtils$Sentinel" />
                <item name="Tomcat Server" type="7427dc5b:ServiceModel$ServiceGroupNode" />
              </path>
              <path>
                <item name="services root" type="e789fda9:ObjectUtils$Sentinel" />
                <item name="Tomcat Server" type="7427dc5b:ServiceModel$ServiceGroupNode" />
                <item name="Running" type="7427dc5b:ServiceModel$ServiceGroupNode" />
              </path>
            </expand>
            <select />
          </treeState>
        </serviceView>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="bf748129-6f2b-481f-8013-f1ebd509075b" name="Default Changelist" comment="" />
      <created>1616463567145</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1616463567145</updated>
      <workItem from="1616463570632" duration="5498000" />
      <workItem from="1616469430692" duration="1171000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="WindowStateProjectService">
    <state x="464" y="2" key="#Project_Structure" timestamp="1616464113608">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state x="464" y="2" key="#Project_Structure/0.0.1280.688@0.0.1280.688" timestamp="1616464113608" />
    <state x="188" y="0" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1616470364038">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state x="188" y="0" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1280.688@0.0.1280.688" timestamp="1616470364038" />
    <state x="776" y="28" key="#com.intellij.ide.util.MemberChooser" timestamp="1616468061891">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state x="776" y="28" key="#com.intellij.ide.util.MemberChooser/0.0.1280.688@0.0.1280.688" timestamp="1616468061891" />
    <state x="322" y="85" key="FileChooserDialogImpl" timestamp="1616469343222">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state x="322" y="85" key="FileChooserDialogImpl/0.0.1280.688@0.0.1280.688" timestamp="1616469343222" />
    <state width="843" height="162" key="GridCell.Tab.0.bottom" timestamp="1616470620430">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.0.bottom/0.0.1280.688@0.0.1280.688" timestamp="1616470620430" />
    <state width="843" height="162" key="GridCell.Tab.0.center" timestamp="1616470620430">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.0.center/0.0.1280.688@0.0.1280.688" timestamp="1616470620430" />
    <state width="843" height="162" key="GridCell.Tab.0.left" timestamp="1616470620430">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.0.left/0.0.1280.688@0.0.1280.688" timestamp="1616470620430" />
    <state width="843" height="162" key="GridCell.Tab.0.right" timestamp="1616470620430">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.0.right/0.0.1280.688@0.0.1280.688" timestamp="1616470620430" />
    <state width="843" height="162" key="GridCell.Tab.1.bottom" timestamp="1616470620346">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.1.bottom/0.0.1280.688@0.0.1280.688" timestamp="1616470620346" />
    <state width="843" height="162" key="GridCell.Tab.1.center" timestamp="1616470620346">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.1.center/0.0.1280.688@0.0.1280.688" timestamp="1616470620346" />
    <state width="843" height="162" key="GridCell.Tab.1.left" timestamp="1616470620346">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.1.left/0.0.1280.688@0.0.1280.688" timestamp="1616470620346" />
    <state width="843" height="162" key="GridCell.Tab.1.right" timestamp="1616470620346">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.1.right/0.0.1280.688@0.0.1280.688" timestamp="1616470620346" />
    <state width="843" height="162" key="GridCell.Tab.2.bottom" timestamp="1616470620347">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.2.bottom/0.0.1280.688@0.0.1280.688" timestamp="1616470620347" />
    <state width="843" height="162" key="GridCell.Tab.2.center" timestamp="1616470620346">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.2.center/0.0.1280.688@0.0.1280.688" timestamp="1616470620346" />
    <state width="843" height="162" key="GridCell.Tab.2.left" timestamp="1616470620346">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.2.left/0.0.1280.688@0.0.1280.688" timestamp="1616470620346" />
    <state width="843" height="162" key="GridCell.Tab.2.right" timestamp="1616470620346">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state width="843" height="162" key="GridCell.Tab.2.right/0.0.1280.688@0.0.1280.688" timestamp="1616470620346" />
    <state x="120" y="0" key="SettingsEditor" timestamp="1616470220780">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state x="120" y="0" key="SettingsEditor/0.0.1280.688@0.0.1280.688" timestamp="1616470220780" />
    <state x="320" y="27" key="spring file set editor" timestamp="1616464174069">
      <screen x="0" y="0" width="1280" height="688" />
    </state>
    <state x="320" y="27" key="spring file set editor/0.0.1280.688@0.0.1280.688" timestamp="1616464174069" />
  </component>
</project>